image: python:3.7.4-alpine3.10

before_script:
  - python -V
  - apk add build-base
  - pip3 install

stages:
  - static_analysis
  - test

variables:
  PYTHON: "python3"
  SRC: "src"
  TST: "test"
  UNIT_DIR: "PycharmProjects\testGit\test"

flake8:
  stage: static_analysis
  script:
    - ${PYTHON} -m flake8 ${SRC}

mypy:
  stage: static_analysis
  script:
    - ${PYTHON} -m mypy ${SRC}

pylint:
  stage: static_analysis
  allow_failure: true
  script:
    - ${PYTHON} -m pylint --disable=missing-docstring ${SRC}

unit_tests:
  stage: test
  script:
    - ${PYTHON} -m unittest discover -v ${TST}
